unit PantallaInformesVentas;

interface

uses
//Variants, 
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, RdxFrame, ExtCtrls, RdxPaneles, RdxBarras, StdCtrls, RdxBotones,
  Entidades, ActnList;

type
  TfrInformesVentas = class(TRdxFrame)
    BarraInformes: TRdxBarraSuperior;
    pnlCuerpo: TPanel;
    RdxPanel1: TRdxPanel;
    Panel1: TPanel;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Panel2: TPanel;
    Panel3: TPanel;
    bSeleccionar: TRdxBoton;
    Panel4: TPanel;
    Panel5: TPanel;
    Panel6: TPanel;
    Panel7: TPanel;
    Image2: TImage;
    Panel8: TPanel;
    Panel9: TPanel;
    RdxBoton1: TRdxBoton;
    Panel10: TPanel;
    Label3: TLabel;
    Label4: TLabel;
    Panel11: TPanel;
    Panel17: TPanel;
    Image4: TImage;
    Panel18: TPanel;
    Panel19: TPanel;
    RdxBoton3: TRdxBoton;
    Panel20: TPanel;
    Label7: TLabel;
    Label8: TLabel;
    Panel21: TPanel;
    imgSombra: TImage;
    Panel27: TPanel;
    Image6: TImage;
    Panel28: TPanel;
    Panel29: TPanel;
    RdxBoton5: TRdxBoton;
    Panel30: TPanel;
    Label11: TLabel;
    Label12: TLabel;
    Panel31: TPanel;
    Panel12: TPanel;
    Image3: TImage;
    Panel13: TPanel;
    Panel14: TPanel;
    RdxBoton2: TRdxBoton;
    Panel15: TPanel;
    Label5: TLabel;
    Label6: TLabel;
    Panel16: TPanel;
    Panel22: TPanel;
    Image5: TImage;
    Panel23: TPanel;
    Panel24: TPanel;
    RdxBoton4: TRdxBoton;
    Panel25: TPanel;
    Label9: TLabel;
    Label10: TLabel;
    Panel26: TPanel;
    Acciones: TActionList;
    actListadoCli: TAction;
    actListadoEtiCli: TAction;
    actListadoPreCli: TAction;
    actListadoFacPen: TAction;
    actListadoIVA: TAction;
    actListadoFacCli: TAction;
    Panel32: TPanel;
    Image7: TImage;
    Panel33: TPanel;
    Panel34: TPanel;
    RdxBoton6: TRdxBoton;
    Panel35: TPanel;
    Label13: TLabel;
    Label14: TLabel;
    Panel36: TPanel;
    actInfEstPresupuestos: TAction;
    Panel37: TPanel;
    Image8: TImage;
    Panel38: TPanel;
    Panel39: TPanel;
    RdxBoton7: TRdxBoton;
    Panel40: TPanel;
    Label15: TLabel;
    Label16: TLabel;
    Panel41: TPanel;
    actInfEstFacCliPro: TAction;
    procedure actListadoCliExecute(Sender: TObject);
    procedure actListadoEtiCliExecute(Sender: TObject);
    procedure actListadoPreCliExecute(Sender: TObject);
    procedure actListadoFacPenExecute(Sender: TObject);
    procedure actListadoIVAExecute(Sender: TObject);
    procedure actListadoFacCliExecute(Sender: TObject);
    procedure actInfEstPresupuestosExecute(Sender: TObject);
    procedure actInfEstFacCliProExecute(Sender: TObject);
  protected
//    function CambiarEntidad(EntidadAnterior, Entidad : TRdxEntidad): Boolean; override;
  public
    constructor Create (AOwner: TComponent); override;
  end;

var
  frInformesVentas: TfrInformesVentas;

implementation

{$R *.dfm}

uses
  Tipos, ListarClientes, GenerarEtiquetasClientes, ListadoPresupuestosCli,
  ListadoFacturasCliPenIVA, ListadoFacturasCli,
  InformeEstPresupuestos, InformeEstFacturasCliPro;

constructor TfrInformesVentas.Create(AOwner: TComponent);
begin
  inherited;
//  Entidad := entInformes;
end;

{function TfrInformesCompras.CambiarEntidad(EntidadAnterior, Entidad: TRdxEntidad): Boolean;
begin
  inherited CambiarEntidad(EntidadAnterior, Entidad);
  ConfigurarFrame(Self, Self.Entidad);
end;
}
procedure TfrInformesVentas.actListadoCliExecute(Sender: TObject);
begin
  Contenido := TfrListarClientes.Create(Self);
  Contenido.Modo := Listar;
end;

procedure TfrInformesVentas.actListadoEtiCliExecute(Sender: TObject);
begin
  CaptionModal := 'Generar etiquetas de cliente';
  WidthModal := 505;
  HeightModal := 200;
  ModoModal := Listar;
  EntidadModal := entCliente;
  ContenidoModal := TfrGenerarEtiquetasClientes.Create(Self);
end;

procedure TfrInformesVentas.actListadoPreCliExecute(Sender: TObject);
begin
  Contenido := TfrListadoPresupuestosCli.Create(Self);
end;

procedure TfrInformesVentas.actListadoFacPenExecute(Sender: TObject);
begin
  Contenido := TfrListadoFacturasCliPenIVA.Create(Self);
  Contenido.Entidad := entListadoFacturasCliPendientes;
end;

procedure TfrInformesVentas.actListadoIVAExecute(Sender: TObject);
begin
  Contenido := TfrListadoFacturasCliPenIVA.Create(Self);
  Contenido.Entidad := entListadoFacturasCliIVA;
end;

procedure TfrInformesVentas.actListadoFacCliExecute(Sender: TObject);
begin
  Contenido := TfrListadoFacturasCli.Create(Self);
end;

procedure TfrInformesVentas.actInfEstPresupuestosExecute(Sender: TObject);
begin
  Contenido := TfrInformeEstPresupuestos.Create(Self);
end;

procedure TfrInformesVentas.actInfEstFacCliProExecute(Sender: TObject);
begin
  Contenido := TfrInformeEstFacturasCliPro.Create(Self, entInfEstFacCli);
end;

end.

